/*
** SellaNMS
** $Id: format_statement_term.h,v 1.5 2005/05/21 23:10:28 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __FORMAT_STATEMENT_TERM_H__
#define __FORMAT_STATEMENT_TERM_H__

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "term.h"

class FormatStatementTerm: public Term {
	public:
		FormatStatementTerm();
		FormatStatementTerm(Term const &src);
		FormatStatementTerm(FormatStatementTerm const &src);
		virtual ~FormatStatementTerm();
		virtual Term const& operator=(Term const &src);
		virtual FormatStatementTerm const& operator=(FormatStatementTerm const &src);

		RESULT getAppliedMapStatements(slist<string> &map_names);

		RESULT setVariableType(unsigned long &type, string &variable);
		RESULT setVariableFunction(unsigned long &function, string &variable);
		RESULT setVariableMap(slist<string> &mapStatements, string &variable);

	protected:
		virtual From *getNewFromClause() const;
		virtual Then *getNewThenClause() const;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3 sts=3
*/
